<?xml version="1.0"?>
<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd"
[
 <!ENTITY % local.common.attrib "xmlns:xi CDATA #FIXED 'http://www.w3.org/2003/XInclude'">
 <!ENTITY % gtkdocentities SYSTEM "xml/gtkdocentities.ent">
 %gtkdocentities;
]>
<book id="index">
  <bookinfo>
    <title>libgedit-tepl &package_api_version; Reference Manual</title>
    <releaseinfo>For &package_string;</releaseinfo>
  </bookinfo>

  <xi:include href="intro.xml"/>

  <part id="api-reference-text-editor-support">
    <title>API Reference - Text Editor Support</title>

    <chapter id="general">
      <title>General</title>
      <xi:include href="xml/init.xml"/>
      <xi:include href="xml/abstract-factory.xml"/>
    </chapter>

    <chapter id="framework">
      <title>Framework</title>
      <xi:include href="xml/application.xml"/>
      <xi:include href="xml/application-window.xml"/>
      <xi:include href="xml/tab-group.xml"/>
      <xi:include href="xml/notebook.xml"/>
      <xi:include href="xml/tab.xml"/>
      <xi:include href="xml/tab-label.xml"/>
      <xi:include href="xml/view.xml"/>
      <xi:include href="xml/buffer.xml"/>
    </chapter>

    <chapter id="menus-and-toolbars">
      <title>Menus</title>
      <xi:include href="xml/menu-shell.xml"/>
    </chapter>

    <chapter id="file-loading-and-saving">
      <title>File Loading and Saving</title>
      <xi:include href="xml/file.xml"/>
      <xi:include href="xml/file-loader.xml"/>
      <xi:include href="xml/file-saver.xml"/>
      <xi:include href="xml/io-error-info-bars.xml"/>
    </chapter>

    <chapter id="code-folding">
      <title>Code Folding</title>
      <xi:include href="xml/fold-region.xml"/>
      <xi:include href="xml/gutter-renderer-folds.xml"/>
    </chapter>

    <chapter id="language-choosers">
      <title>Language Choosers</title>
      <xi:include href="xml/language-chooser.xml"/>
      <xi:include href="xml/language-chooser-dialog.xml"/>
      <xi:include href="xml/language-chooser-widget.xml"/>
    </chapter>

    <chapter id="misc">
      <title>Misc</title>
      <xi:include href="xml/goto-line-bar.xml"/>
      <xi:include href="xml/iter.xml"/>
      <xi:include href="xml/line-column-indicator.xml"/>
      <xi:include href="xml/overwrite-indicator.xml"/>
      <xi:include href="xml/prefs.xml"/>
      <xi:include href="xml/prefs-dialog.xml"/>
      <xi:include href="xml/settings.xml"/>
      <xi:include href="xml/space-drawer-prefs.xml"/>
      <xi:include href="xml/style-scheme-chooser-full.xml"/>
      <xi:include href="xml/style-scheme-chooser-simple.xml"/>
    </chapter>
  </part>

  <part id="api-reference-general-utilities">
    <title>API Reference - General Utilities</title>

    <chapter id="gobject-extras">
      <title>GObject Extras</title>
      <xi:include href="xml/object-counters.xml"/>
      <xi:include href="xml/signal-group.xml"/>
    </chapter>

    <chapter id="gio-extras-file-metadata">
      <title>GIO Extras - File Metadata</title>
      <xi:include href="xml/metadata.xml"/>
      <xi:include href="xml/metadata-manager.xml"/>
    </chapter>

    <chapter id="gio-extras-other">
      <title>GIO Extras - Other</title>
      <xi:include href="xml/settings-binding-group.xml"/>
    </chapter>

    <chapter id="gtk-extras-info-bars">
      <title>GTK Extras - Info Bars</title>
      <xi:include href="xml/info-bar.xml"/>
      <xi:include href="xml/progress-info-bar.xml"/>
    </chapter>

    <chapter id="gtk-extras-side-or-bottom-panel">
      <title>GTK Extras - Side or Bottom Panel</title>
      <xi:include href="xml/panel.xml"/>
      <xi:include href="xml/panel-item.xml"/>
      <xi:include href="xml/panel-notebook.xml"/>
      <xi:include href="xml/panel-simple.xml"/>
      <xi:include href="xml/panel-stack.xml"/>
      <xi:include href="xml/panel-switcher-menu.xml"/>
      <xi:include href="xml/panel1.xml"/>
    </chapter>

    <chapter id="gtk-extras-other">
      <title>GTK Extras - Other</title>
      <xi:include href="xml/file-chooser.xml"/>
      <xi:include href="xml/status-menu-button.xml"/>
      <xi:include href="xml/window-state.xml"/>
    </chapter>

    <chapter id="other-extras">
      <title>Other Extras</title>
      <xi:include href="xml/pango.xml"/>
      <xi:include href="xml/utils.xml"/>
    </chapter>
  </part>

  <xi:include href="api-breaks.xml"/>

  <part id="annexes">
    <title>Annexes</title>

    <chapter id="object-tree">
      <title>Object Hierarchy</title>
      <xi:include href="xml/tree_index.sgml"/>
    </chapter>

    <xi:include href="xml/annotation-glossary.xml"><xi:fallback /></xi:include>

    <index id="api-index-full">
      <title>Index of all symbols</title>
      <xi:include href="xml/api-index-full.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-deprecated">
      <title>Index of deprecated symbols</title>
      <xi:include href="xml/api-index-deprecated.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-1-0" role="1.0">
      <title>Index of new symbols in 1.0</title>
      <xi:include href="xml/api-index-1.0.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-2-0" role="2.0">
      <title>Index of new symbols in 2.0</title>
      <xi:include href="xml/api-index-2.0.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-3-0" role="3.0">
      <title>Index of new symbols in 3.0</title>
      <xi:include href="xml/api-index-3.0.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-4-0" role="4.0">
      <title>Index of new symbols in 4.0</title>
      <xi:include href="xml/api-index-4.0.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-4-4" role="4.4">
      <title>Index of new symbols in 4.4</title>
      <xi:include href="xml/api-index-4.4.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-5-0" role="5.0">
      <title>Index of new symbols in 5.0</title>
      <xi:include href="xml/api-index-5.0.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-0" role="6.0">
      <title>Index of new symbols in 6.0</title>
      <xi:include href="xml/api-index-6.0.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-2" role="6.2">
      <title>Index of new symbols in 6.2</title>
      <xi:include href="xml/api-index-6.2.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-4" role="6.4">
      <title>Index of new symbols in 6.4</title>
      <xi:include href="xml/api-index-6.4.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-8" role="6.8">
      <title>Index of new symbols in 6.8</title>
      <xi:include href="xml/api-index-6.8.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-10" role="6.10">
      <title>Index of new symbols in 6.10</title>
      <xi:include href="xml/api-index-6.10.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-11" role="6.11">
      <title>Index of new symbols in 6.11</title>
      <xi:include href="xml/api-index-6.11.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-12" role="6.12">
      <title>Index of new symbols in 6.12</title>
      <xi:include href="xml/api-index-6.12.xml"><xi:fallback /></xi:include>
    </index>
    <index id="api-index-6-13" role="6.13">
      <title>Index of new symbols in 6.13</title>
      <xi:include href="xml/api-index-6.13.xml"><xi:fallback /></xi:include>
    </index>
  </part>
</book>
